Package ch.qos.logback.core.pattern

## Class ConverterUtil

- java.lang.Object
- - ch.qos.logback.core.pattern.ConverterUtil

    public class ConverterUtil
    extends java.lang.Object

### Constructor Summary

Constructors
`ConverterUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static <E> Converter<E>` `findTail​(Converter<E> head)`
`static <E> void` `setContextForConverters​(Context context, Converter<E> head)`
`static <E> void` `startConverters​(Converter<E> head)` Start converters in the chain of converters.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ConverterUtil

    public ConverterUtil()

### Method Detail

#### startConverters

    public static <E> void startConverters​(Converter<E> head)

Start converters in the chain of converters.

Parameters:
  `head` -

#### findTail

    public static <E> Converter<E> findTail​(Converter<E> head)

#### setContextForConverters

    public static <E> void setContextForConverters​(Context context,
                                                   Converter<E> head)